# HG changeset patch
# Node ID bc37907488e4
# Parent  59c8baad6549
diff --git a/pidgin/meson.build b/pidgin/meson.build
--- a/pidgin/meson.build
+++ b/pidgin/meson.build
@@ -60,7 +60,6 @@
 	'pidginstatuseditor.c',
 	'pidginstatusmanager.c',
 	'pidginstatusprimitivechooser.c',
-	'pidgintalkatu.c',
 	'pidginui.c',
 	'prefs/pidginprefs.c',
 	'prefs/pidginawayprefs.c',
@@ -129,7 +128,6 @@
 	'pidginstatuseditor.h',
 	'pidginstatusmanager.h',
 	'pidginstatusprimitivechooser.h',
-	'pidgintalkatu.h',
 	'pidginui.h',
 ]
 
diff --git a/pidgin/pidgintalkatu.h b/pidgin/pidgintalkatu.h
deleted file mode 100644
--- a/pidgin/pidgintalkatu.h
+++ /dev/null
@@ -1,60 +0,0 @@
-/* pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
- */
-
-#if !defined(PIDGIN_GLOBAL_HEADER_INSIDE) && !defined(PIDGIN_COMPILATION)
-# error "only <pidgin.h> may be included directly"
-#endif
-
-#ifndef PIDGIN_TALKATU_H
-#define PIDGIN_TALKATU_H
-
-#include <gtk/gtk.h>
-
-#include <talkatu.h>
-
-#include <purple.h>
-
-G_BEGIN_DECLS
-
-/**
- * pidgin_talkatu_editor_new_for_connection:
- * @pc: The connection for which the editor should be created
- *
- * Creates a new #TalkatuEditor appropriate for use with @pc.
- *
- * Returns: (transfer full): the new #TalkatuEditor
- */
-GtkWidget *pidgin_talkatu_editor_new_for_connection(PurpleConnection *pc);
-
-/**
- * pidgin_talkatu_buffer_new_for_connection:
- * @pc: The connection for which the buffer should be created
- *
- * Creates a new #TalkatuBuffer. Depending on @pc's #PurpleConnectionFlags,
- * it will create a plain, HTML, or markdown buffer.
- *
- * Returns: (transfer full): the new #TalkatuBuffer
- */
-GtkTextBuffer *pidgin_talkatu_buffer_new_for_connection(PurpleConnection *pc);
-
-G_END_DECLS
-
-#endif /* PIDGIN_TALKATU_H */
diff --git a/pidgin/pidgintalkatu.c b/pidgin/pidgintalkatu.c
deleted file mode 100644
--- a/pidgin/pidgintalkatu.c
+++ /dev/null
@@ -1,71 +0,0 @@
-/* pidgin
- *
- * Pidgin is the legal property of its developers, whose names are too numerous
- * to list here.  Please refer to the COPYRIGHT file distributed with this
- * source distribution.
- *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation; either version 2 of the License, or
- * (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02111-1301  USA
- *
- */
-
-#include "pidgintalkatu.h"
-
-GtkWidget *
-pidgin_talkatu_editor_new_for_connection(PurpleConnection *pc) {
-	GtkWidget *editor = NULL, *input = NULL;
-
-	g_return_val_if_fail(pc != NULL, NULL);
-
-	editor = talkatu_editor_new();
-	input = talkatu_editor_get_input(TALKATU_EDITOR(editor));
-
-	gtk_text_view_set_buffer(
-		GTK_TEXT_VIEW(input),
-		pidgin_talkatu_buffer_new_for_connection(pc)
-	);
-
-	return editor;
-}
-
-GtkTextBuffer *
-pidgin_talkatu_buffer_new_for_connection(PurpleConnection *pc) {
-	PurpleConnectionFlags flags = 0;
-	GtkTextBuffer *buffer = NULL;
-	GSimpleActionGroup *ag = NULL;
-	TalkatuBufferStyle style = TALKATU_BUFFER_STYLE_RICH;
-
-	g_return_val_if_fail(pc != NULL, NULL);
-
-	flags = purple_connection_get_flags(pc);
-
-	if(flags & PURPLE_CONNECTION_FLAG_HTML) {
-		ag = talkatu_action_group_new(TALKATU_FORMAT_HTML);
-	}
-
-	if(flags & PURPLE_CONNECTION_FLAG_FORMATTING_WBFO) {
-		style = TALKATU_BUFFER_STYLE_WHOLE;
-	}
-
-	buffer = g_object_new(TALKATU_TYPE_BUFFER,
-	                      "action-group", ag,
-	                      "style", style,
-	                      NULL);
-	if(TALKATU_IS_ACTION_GROUP(ag)) {
-		talkatu_action_group_set_buffer(TALKATU_ACTION_GROUP(ag), buffer);
-	}
-	g_clear_object(&ag);
-
-	return buffer;
-}
diff --git a/po/POTFILES.in b/po/POTFILES.in
--- a/po/POTFILES.in
+++ b/po/POTFILES.in
@@ -280,7 +280,6 @@
 pidgin/pidginstatuseditor.c
 pidgin/pidginstatusmanager.c
 pidgin/pidginstatusprimitivechooser.c
-pidgin/pidgintalkatu.c
 pidgin/plugins/disco/gtkdisco.c
 pidgin/plugins/disco/resources/disco.ui
 pidgin/plugins/disco/xmppdisco.c
